// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"

/**
 * 
 */
class SConfigItemWidget : public SCompoundWidget {
public:
	SLATE_BEGIN_ARGS(SConfigItemWidget) 
		: _Title()
		, _HintText()
		, _DefaultText()
	{}
	SLATE_ARGUMENT(FText, Title)        // 标题参数
	SLATE_ARGUMENT(FText, HintText) // 默认值参数
	SLATE_ARGUMENT(FText, DefaultText) // 默认值参数
		
	SLATE_END_ARGS()

	void Construct(const FArguments& InArgs);
    
	FString GetInputText() const { return InputText; }

private:
	FString InputText;
	
};